## org.eclipse.datatools.sqltools.sqlbuilder.views
Class ObjectHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectHelper

Direct Known Subclasses:
  ObjectComboHelper, ObjectListHelper

    public abstract class ObjectHelper

extends java.lang.Object

Constructor Summary
`ObjectHelper()`

Method Summary
`abstract void` `addEntry(java.lang.String entry)`
`void` `addItem(LabelValuePair item)`
`void` `addItems(LabelValuePair[] newItems)`
`void` `clear()`
`LabelValuePair` `getLabelValuePair(int index)`
`java.lang.Object` `getObjectAt(int i)`
`LabelValuePair` `getSelectedLabelValuePair()`
`java.lang.Object` `getSelectedObject()`
`abstract int` `getSelectionIndex()`
`int` `indexOf(java.lang.Object obj)`
`int` `indexOf(java.lang.String label)`
`int` `indexOfValue(java.lang.Object obj)`
`abstract void` `removeAll()`
`void` `select(java.lang.Object object)`
`void` `select(java.lang.String label, java.lang.Object value)`
`abstract void` `selectIndex(int index)`
`void` `setItems(LabelValuePair[] newItems)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectHelper

    public ObjectHelper()

Method Detail

### clear

    public void clear()

### addItems

    public void addItems(LabelValuePair[] newItems)

### setItems

    public void setItems(LabelValuePair[] newItems)

### addItem

    public void addItem(LabelValuePair item)

### removeAll

    public abstract void removeAll()

### addEntry

    public abstract void addEntry(java.lang.String entry)

### getSelectionIndex

    public abstract int getSelectionIndex()

### selectIndex

    public abstract void selectIndex(int index)

### getLabelValuePair

    public LabelValuePair getLabelValuePair(int index)

### getSelectedLabelValuePair

    public LabelValuePair getSelectedLabelValuePair()

### getSelectedObject

    public java.lang.Object getSelectedObject()

### getObjectAt

    public java.lang.Object getObjectAt(int i)

### indexOf

    public int indexOf(java.lang.Object obj)

### indexOfValue

    public int indexOfValue(java.lang.Object obj)

### indexOf

    public int indexOf(java.lang.String label)

### select

    public void select(java.lang.String label,
                       java.lang.Object value)

### select

    public void select(java.lang.Object object)